This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 132895 - iproute does not install netem module
iproute does not install netem module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 17:45 EDT by Joshua Blanton
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 05:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds netem module support to iproute-2.6.9 (1.47 KB, patch)
2004-09-18 17:48 EDT, Joshua Blanton
no flags Details | Diff

  None (edit)
Description Joshua Blanton 2004-09-18 17:45:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.13 (X11; Linux i686; U;) Gecko/20040308

Description of problem:
Newer versions of iproute2 support "netem" (network emulation
options), but the specfile for iproute does not install these modules.
 Attached is a patch to the specfile that installs the netem module.

Version-Release number of selected component (if applicable):
iproute-2.6.9-2

How reproducible:
Always

Steps to Reproduce:
1. Install iproute-2.6.9-2
2. run '/sbin/tc qdisc add dev eth0 root netem delay 100ms'

Actual Results:  tc returns 'Unknown qdisc "netem", hence option
"delay" is unparsable'

Expected Results:  the command (straight from the netem introduction
page at http://developer.osdl.org/shemminger/netem/example.html)
should have introduced a 100ms delay to all packets on eth0.

Additional info:
Comment 1 Joshua Blanton 2004-09-18 17:48:16 EDT
Created attachment 103992 [details]
Adds netem module support to iproute-2.6.9
Comment 2 Radek Vokal 2004-09-20 05:23:10 EDT
Thanks, fixed in iproute-2.6.9-3. 

Note You need to log in before you can comment on or make changes to this bug.